README# SellerMagnet API Client

A professional Python client for interacting with the [SellerMagnet API](https://sellermagnet-api.com), designed for enterprise-grade applications. This package provides a convenient interface to access Amazon product data, seller reviews, deals, marketplaces, and manage data pipelines.

## Features

- Comprehensive support for all SellerMagnet API endpoints, including Amazon product statistics, lookup, offers, and more.
- Type hints and data classes for structured, type-safe responses.
- Robust error handling for authentication, parameter validation, and API errors.
- Retry mechanism for handling transient network issues.
- Extensive documentation and example scripts for easy integration.
- Aligned with the branding and functionality of [sellermagnet-api.com](https://sellermagnet-api.com).

## Installation

Install the package using pip:

```bash
pip install sellermagnet-api